Bug 1379630 (CVE-2016-7543) - CVE-2016-7543 bash: Specially crafted SHELLOPTS+PS4 variables allows command substitution
Summary: CVE-2016-7543 bash: Specially crafted SHELLOPTS+PS4 variables allows command ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7543
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160916,repor...
Depends On: 1379634 1400793 1426026
Blocks: 1379635 1386080 1415638
TreeView+ depends on / blocked
 
Reported: 2016-09-27 09:23 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
8 users (show)

Fixed In Version: bash 4.4
Doc Type: If docs needed, set a value
Doc Text:
An arbitrary command injection flaw was found in the way bash processed the SHELLOPTS and PS4 environment variables. A local, authenticated attacker could use this flaw to exploit poorly written setuid programs to elevate their privileges under certain circumstances.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0725 normal SHIPPED_LIVE Moderate: bash security and bug fix update 2017-03-21 12:42:42 UTC
Red Hat Product Errata RHSA-2017:1931 normal SHIPPED_LIVE Moderate: bash security and bug fix update 2017-08-01 18:26:59 UTC

Description Adam Mariš 2016-09-27 09:23:42 UTC
Shells running as root inherited PS4 from the environment, allowing PS4 expansion performing command substitution. Local attacker could gain arbitrary code execution via bogus setuid binaries using system()/popen() by specially crafting SHELLOPTS+PS4 environment variables.

Public announcement:

http://seclists.org/oss-sec/2016/q3/617

Comment 1 Adam Mariš 2016-09-27 09:24:44 UTC
Created bash tracking bugs for this issue:

Affects: fedora-all [bug 1379634]

Comment 4 Dhiru Kholia 2016-10-05 07:34:05 UTC
Upstream patch (for bash-4.3):

http://lists.gnu.org/archive/html/bug-bash/2016-10/msg00009.html

Comment 11 errata-xmlrpc 2017-03-21 11:14:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0725 https://rhn.redhat.com/errata/RHSA-2017-0725.html

Comment 12 errata-xmlrpc 2017-08-01 20:33:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1931 https://access.redhat.com/errata/RHSA-2017:1931


Note You need to log in before you can comment on or make changes to this bug.